LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
TreeDataModelEvent Struct Reference

An event used by a XTreeDataModel to notify changes in the data model to the XTreeControl. More...

`import"TreeDataModelEvent.idl";`

Inheritance diagram for TreeDataModelEvent:

## Public Attributes
sequence< XTreeNode > | Nodes
| contains the changed, added or removed nodes. More...
XTreeNode | ParentNode
| holds the parent node for changed, added or removed nodes. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

An event used by a XTreeDataModel to notify changes in the data model to the XTreeControl.

You usually need to fill this event only if you implement the XTreeDataModel yourself.

See Also
  XTreeDataModel
  XTreeControl
  XTreeDataModelListener

## Member Data Documentation

sequence< XTreeNode > Nodes

contains the changed, added or removed nodes.

All nodes must have ParentNode as parent.

XTreeNode ParentNode

holds the parent node for changed, added or removed nodes.

If this is null, Nodes must contain only the root node

The documentation for this struct was generated from the following file:

- com/sun/star/awt/tree/TreeDataModelEvent.idl